/* header and general style */
/* HTML:  */

.loginLink {
  height: 30px;
  width: 100px;
  background-color: #d6deff;
  color: black;
  border: solid 1px white;
  cursor: pointer;
  text-align: center;
  display: flex;
  justify-content: center;
}

.loginLink:hover {
  background-color: black;
  color: white;
}

body {
  background-color: rgb(51, 51, 51);
  color: white;
  font-family: "Montserrat", sans-serif;
  height: 100%;
}

header {
  display: flex;
  width: 100%;
  justify-content: space-between;
  align-items: center;
  padding-top: 10px;
  padding-bottom: 10px;
  position: fixed;
  top: 0;
  background-color: rgb(51, 51, 51);
  z-index: 4;
}

header a {
  height: 80px;
  display: flex;
  align-items: center;
  text-decoration: none;
}

.profileIcon {
  height: 100%;
  width: 80px;
  margin-left: 30px;
  border-radius: 50%;
  border: solid 2px #fefbe9;
}

h1 {
  color: #8c2727;
  padding-left: 15px;
  display: flex;
  flex-direction: column;
  font-size: 2.5;
  font-weight: bold;
  position: relative;
  width: auto;
}

h1 > span {
  font-size: 0.5em;
  color: white;
  font-weight: 100;
  position: relative;
  left: 45px;
  bottom: 6px;
}

ul {
  padding-left: 0px;
  display: flex;
  margin: 0px;
  gap: 15px;
}

.subMenu {
  position: absolute;
  flex-direction: column;
  width: fit-content;
  height: auto; /* Passez à auto pour que la hauteur s'ajuste automatiquement */
  max-height: 200px;
  top: 35px;
  right: -20px;
  height: 200px;
  overflow: scroll;
  background-color: rgb(51, 51, 51); /* Couleur de fond du sous-menu */
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); /* Ombre pour donner du relief */
  z-index: 5; /* Assurez-vous qu'il est au-dessus des autres éléments */
  border-radius: 5px;
  flex-wrap: nowrap;
}

.hide {
  display: none;
}

.rotate {
  transition: all 0.3 ease;
  transform: rotate(180deg);
}

section {
  margin: 60px auto;
}

.nav-btn {
  display: flex;
  margin: 10px;
  padding: 5px 10px;
  justify-content: center;
  align-items: center;
  width: 100px;
  cursor: pointer;
}

.galeriesNavBtn {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 5px; /* Réduisez le gap si nécessaire pour éviter trop d'espace */
  cursor: pointer;
  position: relative; /* Position relative pour mieux contrôler la position de l'icône */
}

#subMenuChevron {
  font-size: 12px; /* Ajustez la taille selon vos besoins */
  margin-left: 5px; /* Espace entre le texte et le chevron */
}

.dynamic-nav-btn {
  flex-direction: column;
  position: relative;
  background-color: transparent;
  align-items: center;
  height: fit-content;
  z-index: 10;
}

.nav-logo {
  display: flex;
  margin: 10px;
  padding: 5px 10px;
  justify-content: center;
  align-items: center;
  width: 100px;
  gap: 25px;
  cursor: pointer;
}

.nav-logo a {
  text-decoration: none;
  color: white;
}

.nav-logo a:hover {
  color: #8c2727;
  letter-spacing: 0.5px;
  transition: all ease-in-out 0.4s;
}

.nav-btn a {
  display: flex;
  justify-content: center;
  text-decoration: none;
  text-align: center;
  color: white;
  width: 100%;
  height: 100%;
  transition: all ease-in-out 0.4s;
}

.fa-brands {
  width: 35px;
}

.nav-btn a:active {
  color: #8c2727;
  letter-spacing: 0.5px;
  width: 110px;
}

.nav-btn a:hover {
  color: #8c2727;
  letter-spacing: 0.5px;
}

main {
  min-height: 140px;
}

h2 {
  margin: 0px;
  width: 100%;

  text-align: center;
  color: #d6deff;
  letter-spacing: 2px;
  font-family: "Open Sans", sans-serif;
  font-weight: unset;
}

/* intro style */

.introduce {
  display: flex;
  width: 70%;
  height: 500px;
  margin: 140px auto 50px;
  justify-content: center;
  position: relative;
}

.intro-txt-container {
  width: 40%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  position: relative;
}

.intro-txt {
  width: 340px;
  padding: 10px 15px;
  text-wrap: wrap;
  text-align: center;
}

img {
  height: 100%;
  width: 45%;
  object-fit: contain;
  margin: 0px;
}

@keyframes fadeInUp {
  0% {
    transform: translateY(100%);
    opacity: 0;
  }
  100% {
    transform: translateY(0%);
    opacity: 1;
  }
}

.fadeInUp-animation {
  animation: 0.7s fadeInUp;
}

.intro-span {
  color: #d6deff;
  font-family: "Open Sans", sans-serif;
  font-size: 1.5em;
  text-align: end;
  position: relative;
  left: 200px;
}

/* slider style */

.slider-section {
  margin: 100px 0px 50px;
  width: 100%;
  height: fit-content;
}

.slider-container {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 60%;
  height: 600px;
  border: solid white 1.5px;
  border-radius: 20px;
}

.slider-1 {
  padding: 0px;
  margin: 0px;

  /* background-color: #8c2727; */

  overflow: hidden;
}

.slider-1 .slider {
  display: flex;
  height: 100%;
  width: 100%;
  animation: slider-1 15s infinite ease-in-out;
}

.sliderItem {
  flex-shrink: 0;
  width: 100%;
  height: 100%;
}

.slider img {
  flex-shrink: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.event-container {
  flex: 0 0 100%; /* Chaque élément prend 100% de la largeur */
  text-align: center; /* Pour centrer les éléments */
  box-sizing: border-box;
  height: fit-content;
  width: 60%;

  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-radius: 10px;
}

/* Favorite style*/

.favorite-section,
.event-section {
  height: fit-content;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 70px 0px 40px 0px;
}

.favorite-container {
  height: fit-content;
  width: 60%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-radius: 10px;
}

.favorite {
  height: fit-content;
  max-height: 500px;
  width: 500px;
  object-fit: cover;
  border-radius: 10px;
}

.about-favorite,
.event-text {
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  height: fit-content;
  margin-top: 20px;
  padding: 10px;
  overflow: scroll;
}

footer {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 150px auto 25px;
  gap: 25px;
}

footer a {
  text-decoration: none;
  display: flex;
  justify-content: center;
  align-items: center;
}

footer a .profileIcon {
  margin-left: 0px;
}

footer span {
  text-align: center;
}

/* 5% par transition 5*6 30 */
/* @keyframes slider-1 {
  0%,
  12% {
    transform: translateX(0);
  }

  17%,
  29% {
    transform: translateX(-100%);
  }

  34%,
  46% {
    transform: translateX(-200%);
  }

  51%,
  63% {
    transform: translateX(-300%);
  }

  68%,
  80% {
    transform: translateX(-400%);
  }

  85%,
  96% {
    transform: translateX(-500%);
  }

  100% {
    transform: translateX(-600%);
  }
} */

/* about style */
.about {
  display: flex;
  width: 70%;
  margin: 50px auto 50px;
  justify-content: center;
  position: relative;
  height: fit-content;
  align-items: center;
  gap: 35px;
}

/* presta style */

.prestations {
  width: 100%;
  margin: 70px auto;
}

.prestaTitle {
  font-size: 2em;
}

.prestasContrainer {
  display: flex;
  flex-direction: column;
  width: 100%;
  margin: 20px auto;
  justify-content: space-around;
  gap: 50px;
}

.prestaContainer {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.prestaSubtitle {
  font-size: 1.4em;
  margin-bottom: 40px;
}

.prestaList {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.prestaList > li {
  text-align: center;
  /* list-style: none; */
}

/* contacts style */
.contacts-container {
  display: flex;

  width: 100%;
  margin: 35px auto;

  justify-content: center;
  align-items: center;

  position: relative;
}

.contacts-title {
  writing-mode: vertical-rl;
  transform: rotate(180deg);
  text-align: center;
  font-size: 4em;
  position: relative;
  left: 80px;
}

.contacts-img {
  object-fit: contain;
  width: 600px;
  height: 600px;
}

.contacts-wrapper {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  font-size: 1.5em;
}

.email {
  text-decoration: underline;
  color: white;
}

.small-img {
  width: 150px;
  height: 150px;
}

.small-img-container {
  display: flex;
  gap: 10px;
  align-items: center;
  position: relative;
}

.prince {
  position: relative;
  right: 10px;
  height: 130px;
}

.contact-span {
  color: #d6deff;
  font-family: "Open Sans", sans-serif;
  font-size: 1em;
  margin: 15px auto 15px;
}

/* galery styles */
.galeries {
  padding-top: 140px;
}

.galery-title {
  margin-top: 50px;
  margin-bottom: 25px;
}

.galery {
  height: auto;
  width: 90%;

  margin: 25px auto;

  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.painting-wrapper {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1%;
  margin-bottom: 25px;
  height: 380px;
  width: 100%;
}

.painting {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0px;
  height: 80%;
  width: 380px;
  transition: all ease 0.3s;
  cursor: pointer;
}

.hiddenPainting {
  display: none;
}

.painting:hover {
  width: 450px;
  height: 100%;
  margin: 0px 5px;
}

.painting img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.btn-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  left: 13px;
  height: 50px;
  width: 235px;
  margin: 10px auto;
  overflow: visible;
  cursor: pointer;
}

.seeMoreBtn {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0px;
  height: 50px;
  width: 50px;

  text-align: center;
  border-radius: 50%;
  border: solid 3px #fefbe9;

  flex-shrink: 0;

  font-size: 2em;
  color: #fefbe9;

  background-color: rgb(51, 51, 51);
  transition: all ease-in-out 0.4s;

  z-index: 2;
}

.rotativeBtn {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0px;
  height: 50px;
  width: 50px;

  text-align: center;
  border-radius: 50%;
  border: solid 3px #fefbe9;

  flex-shrink: 0;

  font-size: 2em;
  color: #fefbe9;

  background-color: rgb(51, 51, 51);

  transform: rotate(180deg);
  transition: all ease 0.5s;
  z-index: 2;
}

.hidden {
  display: flex;
  height: 36px;
  width: 0px;
  background-color: #fefbe9;
  color: rgb(51, 51, 51);
  margin: 0px;
  padding: 10px 15px 10px 10px;
  font-size: 0px;
  border-top-right-radius: 30px;
  border-bottom-right-radius: 30px;
  align-items: center;
  justify-content: center;
  position: relative;
  right: 26px;
  z-index: 1;
  overflow: hidden;
  transition: all ease-in-out 0.4s;
}

.selectedGaleryBtn {
  display: none;
}

.btnTxt {
  display: flex;
  height: 36px;
  width: 200px;
  background-color: #fefbe9;
  color: rgb(51, 51, 51);
  margin: 0px;
  padding: 10px 15px 10px 10px;
  font-size: 1em;
  border-top-right-radius: 30px;
  border-bottom-right-radius: 30px;
  align-items: center;
  justify-content: center;
  position: relative;
  right: 26px;
  z-index: 1;
  overflow: hidden;
  transition: width 0.4s ease-in-out, font-size 0.5s ease-in-out;
}

/*selected galery style */

.skeleton {
  background-color: rgb(51, 51, 51); /* Couleur de base */
  height: 194px;
  width: 196px;
  margin: 10px 0;
  border-radius: 8px;
  background: linear-gradient(
    90deg,
    rgb(51, 51, 51) 25%,
    rgba(0, 0, 0, 0.2) 50%,
    rgb(51, 51, 51) 75%
  );
  background-size: 200% 100%;
  animation: shimmer 1.5s infinite;
}

@keyframes shimmer {
  0% {
    background-position: -200% 0;
  }
  100% {
    background-position: 200% 0;
  }
}

.fade-in {
  opacity: 0;
  transition: all 0.5s ease-in;
}

.fade-in.show {
  opacity: 1;
}

.imgContainer {
  display: flex;
  justify-content: center;
  align-items: center;
  height: auto;
  width: 20%;
  margin: 5px;
  cursor: pointer;
}

.imgContainer img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.activeGalleryContainer {
  margin-top: 10px;
  padding-top: 10px;
  display: flex;
  width: 100%;
  justify-content: center;
  align-items: center;
  gap: 10px;
  height: auto;
  flex-wrap: wrap;
  transition: all 0.3s ease-in-out;
}

.activeGaleryTitle {
  padding-top: 140px;

  font-size: 2em;
}

.return-logo {
  height: 100%;
  width: 100%;
  margin: 0px;
  padding: 0px;
  border-radius: 50%;
  object-fit: cover;
}

.return-btn {
  position: relative;

  right: 100px;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 46px;
  width: 46px;
  margin: 0px;
  padding: 0px;
  border-radius: 50%;
  border: none;
  overflow: hidden;
  cursor: pointer;
  text-decoration: none;
}

/* modal style */

.modal-background {
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  display: none;
  justify-content: center;
  align-items: center;
  background: rgba(0, 0, 0, 0.8);
  z-index: 4;
}

.modal-content {
  display: flex;
  flex-direction: column;
  background-color: transparent;
  height: 90%;
  width: 90%;

  align-items: center;
  justify-content: center;
  z-index: 5;
}

.topModal {
  display: flex;
  width: 100%;
  justify-content: center;
  align-items: center;
}

.exitCrossContainer {
  width: 50px;
  height: 50px;
  position: absolute;
  top: 25px;
  right: 30px;
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  cursor: pointer;
}

.exitCross {
  margin: 0px;
  padding: 0px;
  height: 35px;
  width: 35px;
  border-radius: 50%;
  cursor: pointer;
  background-color: white;
  border: none;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all ease-in-out 0.1s;
}

.exitCross:hover {
  background-color: #8c2727;
  transition: all ease-in-out 0.1s;
}

.exitCross i {
  font-size: 1.5em;
  color: black;
}

.switchContainer {
  width: 50px;
  height: 50px;
  position: absolute;
  top: 25px;
  left: 30px;
  display: flex;
  flex-direction: column;
}

.switch {
  height: 50%;
  width: 100%;
  display: flex;
  justify-content: flex-start;
  border-radius: 20px;
  overflow: hidden;
}

.on {
  background-color: #8c2727;
  width: 0px;
  height: 100%;
  margin: 0px;
  transition: all ease-in-out 0.1s;
}

.cursor {
  position: absolute;
  left: 0px;
  width: 25px;
  height: 50%;
  border-radius: 50%;
  background-color: white;
  border: solid 1px gray;
  cursor: pointer;
}

.off {
  background-color: #d6deff;
  width: 50px;
  height: 100%;
  margin: 0px;
  flex-shrink: 0px;
}

.switchLegend,
.exitCrossLegend {
  height: 50%;
  position: relative;
  display: flex;
  width: auto;
  color: white;
  text-align: center;
  margin-left: 5px;
}

.modal-btn {
  height: 60px;
  width: 50px;
  font-size: x-large;
  color: white;
  background-color: transparent;
  border: none;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
}

.right {
  position: fixed;
  top: 45%;
  right: 150px;
}

.left {
  position: fixed;
  top: 45%;
  left: 150px;
}

.modal-image {
  min-width: 600px;
  min-height: 600px;
  user-select: none;
}

.infosOn {
  height: 400px;
  width: 500px;
}

.full-screen {
  height: 100%;
  width: 100%;
}

.modalInfo,
.title {
  display: none;
  height: auto;
  width: auto;
  margin: 5px;
  color: #d6deff;
}

.infosContainer {
  display: flex;
  height: 60px;
  align-items: center;
}

.hiddenPaintings {
  display: none;
}

/*Responsive*/
@media (max-width: 1357px) {
  h1 {
    font-size: 1.5em;
  }

  ul {
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
  }

  #animationNavLink {
    display: none;
  }

  .contacts-title {
    position: unset;
  }
}

@media (min-width: 668px) and (max-width: 1163px) {
  header {
    flex-direction: column;
    position: unset;
  }

  .galery-title {
    margin-top: 10px;
    margin-bottom: 10px;
  }

  .galeries {
    padding-top: 0px;
  }

  .intro-txt-container {
    width: 50%;
    padding-left: 30px;
  }

  .introduce img {
    width: 50%;
  }

  .intro-span {
    position: unset;
  }

  .introduce {
    width: 90%;
    height: fit-content;
    align-items: center;
    gap: 20px;
    margin: 25px auto;
  }

  .slider-1 {
    width: 560px;
    height: 480px;
  }

  .slider-1 .slider {
    width: 560px;
    height: 480px;
  }

  .slider img {
    max-height: 100%;
    max-width: 100%;
  }

  .about {
    width: 90%;
    justify-content: space-between;
  }

  .about aside {
    padding-left: 0px;
  }

  .contacts-img {
    height: 450px;
    width: 35%;
  }

  .contacts-wrapper {
    width: 60%;
    font-size: 1em;
  }

  .contacts-title {
    position: unset;
  }

  .contact-span {
    width: 60%;
    height: fit-content;
    flex-wrap: wrap;
    text-align: center;
  }

  #divers {
    margin-top: 0px;
  }

  .activeGaleryTitle {
    margin-bottom: 20px;
  }

  .activeGalleryContainer {
    padding-top: 0px;
  }

  .modal-background {
    height: 100vh;
  }

  .modal-content {
    width: 100%;
    max-height: 500px;
  }

  .left {
    position: fixed;
    top: 85%;
    left: -6px;
  }

  .right {
    position: fixed;
    top: 85%;
    right: -6px;
  }

  .switchContainer {
    top: 2%;
    left: 2%;
  }

  .exitCrossContainer {
    top: 1%;
    right: 1%;
  }

  .modal-image {
    width: 100%;
    min-width: unset;
    min-height: unset;
  }
}

@media (max-width: 915px) {
  header {
    flex-direction: column;
    position: unset;
  }

  .galeries {
    padding-top: 0px;
  }

  .galery-title {
    margin-top: 10px;
    margin-bottom: 10px;
  }

  ul {
    gap: 10px;
  }

  .nav-btn {
    margin: 15px 5px;
    padding: 5px;
  }
}

@media (max-width: 667.99px) {
  body {
    width: 100%;
    margin: 0px;
  }

  header {
    flex-direction: column;
    width: 100vw;
    margin: 0px;
    position: initial;
  }

  main {
    display: flex;
    flex-direction: column;
    gap: 25px;
  }

  h1 {
    padding-left: 0px;
    width: fit-content;
  }

  .gipéLogo {
    width: 60%;
    margin: 5px auto 5px auto;
    justify-content: center;
  }

  .gipéLogo img {
    margin-left: 0px;
  }

  ul {
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
  }

  .nav-btn {
    width: 70px;
  }

  .introduce,
  .favorite-section,
  .prestations,
  .event-section {
    flex-direction: column;
    width: 90%;
    height: fit-content;
    align-items: center;
    gap: 20px;
    margin: 25px auto;
  }

  .introduce img,
  .favorite-container,
  .aboutImgArea,
  .event-container,
  .eventImg {
    width: 100%;
  }

  .favorite {
    height: 90%;
    width: 95%;
  }

  .about-favorite {
    height: auto;
    max-width: 75%;
  }

  .intro-txt-container {
    width: 100%;
    height: fit-content;
  }

  .intro-txt {
    width: 90%;
    height: fit-content;
  }

  .intro-span {
    position: unset;
  }

  .about {
    flex-direction: column-reverse;
    align-items: center;
    height: fit-content;
    width: 90%;
    gap: 20px;
    margin: 25px auto;
  }

  .about img {
    display: block;
    width: 95%;
    max-height: 50vh;
    object-fit: contain;
  }

  .slider-section {
    display: none;
    margin: 0px;
    padding: 0px;
  }

  .prestaContainer {
    width: 80%;
    margin: auto;
  }

  .contacts-container {
    flex-direction: column;
    width: 90%;
    height: fit-content;
    align-items: center;
    justify-content: center;
    gap: 20px;
    margin: 25px auto;
  }

  .contacts-title {
    font-size: 3em;
    position: relative;
    left: -260px;
    top: 300px;
    writing-mode: unset;
    transform: none;
    position: unset;
  }

  .contacts-img {
    width: 90%;
    height: 400px;
    object-fit: cover;
  }

  .contacts-wrapper {
    width: 90%;
    font-size: 1em;
    justify-content: center;
    align-items: center;
  }

  .contact-span {
    text-align: center;
  }

  .small-img-container {
    flex-direction: row-reverse;
    justify-content: center;
    align-items: center;
    width: 100%;
    flex-wrap: wrap;
    margin: 16px auto 0px;
    top: 10px;
  }

  #si1 {
    position: relative;
    right: 5px;
    top: 2px;
    z-index: 1;
  }

  #si2 {
    position: relative;
    left: 5px;
    z-index: 3;
  }

  #si3 {
    position: relative;
    bottom: 41px;
    z-index: 2;
    left: 17px;
  }

  .activeGalleryContainer {
    flex-direction: column;
    padding-top: 20px;
  }

  .imgContainer {
    width: 90%;
  }

  .painting-wrapper {
    justify-content: flex-start;
    flex-direction: column;
    width: 95%;
    height: 330px;
    gap: 0px;
    overflow: hidden;
  }

  .painting {
    width: 100%;
    height: 330px;
    padding: 0px;
    margin: 0px;
    align-items: center;
    object-fit: cover;
  }

  .painting-img {
    width: 100%;
    min-height: 330px;
    padding: 0px;
    margin: 0px;
    object-fit: cover;
  }

  .modal-background {
    height: 100vh;
  }

  .modal-content {
    width: 100%;
    max-height: 500px;
  }

  .left {
    position: fixed;
    top: 85%;
    left: -6px;
  }

  .right {
    position: fixed;
    top: 85%;
    right: -6px;
  }

  .infosContainer {
    position: fixed;
    top: 85%;
  }

  .switchContainer {
    top: 2%;
    left: 2%;
  }

  .exitCrossContainer {
    top: 1%;
    right: 1%;
  }

  .modal-image {
    width: 100%;
    min-width: unset;
    min-height: unset;
  }
}

@media (max-width: 430px) {
  .gipéLogo {
    flex-direction: column;
    height: fit-content;
  }

  nav {
    margin-top: 30px;
  }

  .nav-btn {
    width: 110px;
  }
}

@media (max-width: 375px) {
  .small-img-container {
    flex-direction: column;
    gap: 15px;
    justify-content: center;
    align-items: center;
    margin-top: 0px;
    margin-bottom: 16px;
  }

  #si1,
  #si2,
  #si3 {
    position: unset;
  }
}
